﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;


namespace TestWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
            Grid.QueryCoveredRange += Grid_QueryCoveredRange;
        }

        void Grid_QueryCoveredRange(object sender, Syncfusion.UI.Xaml.Grid.GridQueryCoveredRangeEventArgs e)
        {
            if (Grid.GetLastDataRowIndex() == e.RowColumnIndex.RowIndex)
            {
                if (e.RowColumnIndex.ColumnIndex == 2)
                {
                    e.Range = new CoveredCellInfo(2, 3, e.RowColumnIndex.RowIndex, e.RowColumnIndex.RowIndex);
                    e.Handled = true;
                }
                else if (e.RowColumnIndex.ColumnIndex == 4)
                {
                    e.Range = new CoveredCellInfo(4, 6, e.RowColumnIndex.RowIndex, e.RowColumnIndex.RowIndex);
                    e.Handled = true;
                }
            }
        }

        class DataGridData
        {
            public DateTime C0 { get; set; }
            public string C1 { get; set; }
            public double C2 { get; set; }
            public double C3 { get; set; }
            public double C4 { get; set; }
            public double C5 { get; set; }
        }

        List<DataGridData> GridData;

        private void LoadData(object sender, RoutedEventArgs e)
        {

            DateTime SelectedDate_ = (DateTime)DateTimeEdit.DateTime,
                     SelectedDate = new DateTime(SelectedDate_.Year, SelectedDate_.Month, 1);

            this.GridData = new List<DataGridData>();

            this.GridData.Add(new DataGridData() { C0 = SelectedDate, C1 = "row 1", C2 = 1.12, C3 = 1.13, C4 = 1.14, C5 = 1.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(1), C1 = "row 2", C2 = 2.12, C3 = 2.13, C4 = 2.14, C5 = 2.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(2), C1 = "row 3", C2 = 3.12, C3 = 3.13, C4 = 3.14, C5 = 3.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(3), C1 = "row 4", C2 = 4.12, C3 = 4.13, C4 = 4.14, C5 = 4.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(4), C1 = "row 5", C2 = 5.12, C3 = 5.13, C4 = 5.14, C5 = 5.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(5), C1 = "row 6", C2 = 6.12, C3 = 6.13, C4 = 6.14, C5 = 6.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(6), C1 = "row 7", C2 = 7.12, C3 = 7.13, C4 = 7.14, C5 = 7.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(7), C1 = "row 8", C2 = 8.12, C3 = 8.13, C4 = 8.14, C5 = 8.15 });
            this.GridData.Add(new DataGridData() { C0 = SelectedDate.AddDays(8), C1 = "row 9", C2 = 9.12, C3 = 9.13, C4 = 9.14, C5 = 9.15 });

            Grid.ItemsSource = this.GridData;

        }

    }

}
